<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include '../include/cctvai.conn.php';
require_once("../include/cctvai.label.php");
$cd_id=SafeRequest("id", "get");
$ac=SafeRequest("action", "get");
if(cd_mobile=="yes"){if (isMobile()){header("Location:".cd_mobileurl."play_down.php?id=".$cd_id."");exit();}}
if(cd_webhtml==1 or cd_webhtml==2 or cd_webhtml==3) {
	if(!IsNumID($cd_id)) {
		$error="ID错误，请检查Url地址是否正确！";
		exit(include _cctvai_root_ . "/include/error/content_error.php");
	}
	if(!IsNum($cd_id)) {
		$error="缺少ID，请检查Url地址是否正确！";
		exit(include _cctvai_root_ . "/include/error/content_error.php");
	}
		$cache_id="playdown_" . $cd_id;
		if(!($cache_opt->start($cache_id))) {
			echo SpanDjDown($cd_id, $userlogined);
			$cache_opt->end();
		}

}

function SpanDjDown($ids, $userlogineds) {
	global $db;
	$stars='';
	$sql='select * from ' . tname('dj') . ' where CD_ID=' . $ids . '';
	$row=$db->getRow($sql);
	if($row) {
		$Mark_Text=@file_get_contents(_cctvai_root_ . cd_templateurl . 'play_down.html');
		$Mark_Text=topandbottom($Mark_Text);
		$Mark_Text=Common_Mark($Mark_Text, $row['CD_ClassID']);
		$Mark_Text=datadj($Mark_Text, $Mark_Text, $row, '1');
		$Mark_Text=ReplaceStr($Mark_Text, '[cctvai:userlogined]', $userlogineds);
		return $Mark_Text;
	} else {
		$error="您访问的内容不存在，或已被删除！";
		exit(include _cctvai_root_ . "/include/error/content_error.php");
	}
}
?>